Bug 9380 - branch not recording right on writeoff
Summary: branch not recording right on writeoff
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P1 - high critical (vote)
Target Milestone: Oldversions
Assignee: Kyle M Hall
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-11 18:29 UTC by Nicole C. Engard
Modified: 2018-12-16 19:34 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9380 - branch not recording right on writeoff (1.47 KB, patch)
2013-01-17 13:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9380 - branch not recording right on writeoff (1.62 KB, patch)
2013-01-24 13:59 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9380 - branch not recording right on writeoff (1.71 KB, patch)
2013-01-28 18:05 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9380 - branch not recording right on writeoff (1.88 KB, patch)
2013-02-08 17:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-01-11 18:29:21 UTC
This happens in 3.8.5 and maybe later versions as well.  Do this on your DB:

select distinct branch from statistics where type='writeoff';

There is only ever 1 branch in there. Even if you have 2,5,40 branches doing writeoffs all writeoffs get the same branch - it's not the first alphabetical either, I'm not sure where it's coming from and haven't had time to test much more thoroughly.  I did however test on 4 library systems running 3.8.5 and got the same results on all - one branch only recorded when writing off.

Nicole
Comment 1 Kyle M Hall 2013-01-17 13:45:01 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2013-01-24 13:59:49 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2013-01-28 18:05:40 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-02-08 17:45:19 UTC
Created attachment 15185 [details] [review]
[SIGNED-OFF] Bug 9380 - branch not recording right on writeoff

Test Plan:
1) Write off fines as various branches
2) Observe the stats lines include the wrong branchcode
3) Apply patch
4) Repeate step 1
5) Observe the stats lines include the correct branchcode

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Also tested by changing branch and writing off again - all
tests pass.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Checked individual and complete write off for different branches.
Write offs were always recorded correctly for the logged in branch.
All tests and QA script pas.
Comment 5 Jared Camins-Esakov 2013-02-10 15:18:49 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-02-14 08:41:18 UTC
Pushed to 3.10.x will be in 3.10.3, does not apply to 3.8.x please resubmit for 3.8.x if needed